package ui;

import javax.swing.JComboBox;

import java.nio.charset.Charset;
import java.util.SortedMap;

public class ConfConversion extends OngletConf
{
	/**
	 * Inutilisé pour l'instant
	 * Contiendra les éléments de configuration détaillés pour la conversion
	 */
	private static final long serialVersionUID = 1L;
	
	//private ConfigNat confNat;
	JComboBox jcbCharset = new JComboBox();
	
	public ConfConversion()
	{
		super();
		//this.confNat = confNat;
		
		//récupération des charsets disponibles
		SortedMap<String,Charset> charsets = Charset.availableCharsets();
		for(String nom : charsets.keySet())
		{
			jcbCharset.addItem(nom);
			/*System.out.println("Charset "+nom);
			Charset charset = charsets.get(nom);
			for(String alias : charset.aliases())
			{
				System.out.print(" "+alias+",");
			}*/
		}
		add(jcbCharset);
		
	}

	public boolean enregistrer() {return true;}
	public boolean enregistrer(String f){return true;}
}